Skip to main content
POST
/
v1
/
endpoints
Create an endpoint (returns its ingest URL)
curl --request POST \
  --url https://api.webhook.co/v1/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dedupConfig": {
    "windowSeconds": 302430
  }
}
'
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', dedupConfig: {windowSeconds: 302430}})
};

fetch('https://api.webhook.co/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.webhook.co/v1/endpoints"

payload = {
"name": "<string>",
"dedupConfig": { "windowSeconds": 302430 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.webhook.co/v1/endpoints"

payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"dedupConfig\": {\n \"windowSeconds\": 302430\n }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "paused": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "dedupConfig": {
    "windowSeconds": 302430,
    "fields": {
      "include": [
        "<string>"
      ],
      "exclude": [
        "<string>"
      ]
    }
  },
  "ingestUrl": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
"<string>"

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Body

application/json
name
string
required
Required string length: 1 - 200
dedupConfig
object | null

Response

Success.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
orgId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
paused
boolean
required
createdAt
string<date-time>
required
dedupConfig
object | null
required
ingestUrl
string<uri>
required